GET api/app/customfield/{entityId}/{customFieldGroupName}/{appliesTo}?customFieldNames[0]={customFieldNames[0]}&customFieldNames[1]={customFieldNames[1]}
This allows app developers to get custom fields against an entity Rezi Post can send this information to clients by means of the customFields merge field Processes this app API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| entityId |
entity Id |
integer |
Required |
| customFieldGroupName |
The name of the heading for your app or section in the custom fields |
string |
Required |
| appliesTo |
the system type it applies to |
string |
Required |
| customFieldNames |
A list of the names of the custom fields you require, ?customFieldNames=Front%20DoorcustomFieldNames=Back%20Door all must be urlEncoded |
Collection of string |
Required |
Body Parameters
None.
Response Information
Resource Description
a list of the custom fields and their values
Collection of CustomFieldValueDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Type |
The type value. |
EnumDataContract |
None. |
| Name |
The name value. |
string |
None. |
| Value |
The value represented by this field. |
Object |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Type": {
"Id": 1,
"Name": "sample string 2",
"SystemName": "sample string 3"
},
"Name": "sample string 1",
"Value": {}
},
{
"Type": {
"Id": 1,
"Name": "sample string 2",
"SystemName": "sample string 3"
},
"Name": "sample string 1",
"Value": {}
}
]